﻿using System.ComponentModel;
using Telerik.WinControls;

namespace RadBubbleBarControl.RadBubbleBar
{
    [ToolboxItem(true)]
    public class RadBubbleBar : RadControl
    {
        RadBubbleBarElement element;

        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        public RadBubbleBarElement Element
        {
            get
            {
                return this.element;
            }
        }

        [RadEditItemsAction]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        public RadItemOwnerCollection Items
        {
            get
            {
                return this.element.Items;
            }
        }

        protected override void CreateChildItems(RadElement parent)
        {
            this.element = new RadBubbleBarElement();
            this.element.AutoSizeMode = RadAutoSizeMode.FitToAvailableSize;
            parent.Children.Add(this.element);
        }
    }
}
